$packageName = 'wiremockui'
$title = 'WiremockUI'
$exeName = 'WiremockUI.exe'
$url = 'https://github.com/juniorgasparotto/WiremockUI/releases/download/1.0.2/WiremockUI.zip'
$binRoot = Get-ToolsLocation
$installPath = Join-Path $binRoot $packageName
$oldVersionPath = Join-Path $installPath ".old"
$checksum = '957A88FF008297170FBB5A8A41007999B98517AE47B4F326B1EFD2F4CF0AAE62'
$checksumType = 'sha256'

# Create backup of old version
if (Test-Path $installPath) {
    Write-Host "Create backup old version"
    if (!(Test-Path $oldVersionPath)) {
        New-Item $oldVersionPath -type directory
        Get-ChildItem $installPath |
        Foreach-Object {
            if ($_.Name -ne ".old") {            
                Move-Item $_.FullName $oldVersionPath
            }        
        }
    }
}

# Download and unzip file
Install-ChocolateyZipPackage -PackageName $packageName `
                             -Url $url `
                             -UnzipLocation $installPath `
							 -Checksum $checksum `
                             -ChecksumType $checksumType

#Create shortcut in desktop
Write-Host "Create Desktop ShortCurt..."
$desktop = $([System.Environment]::GetFolderPath([System.Environment+SpecialFolder]::DesktopDirectory))
$desktop = Join-Path $desktop "$title.lnk"
Write-Host $desktop
Install-ChocolateyShortcut  -shortcutFilePath $desktop `
                            -targetPath "$installPath/$exeName" `
                            -workingDirectory $installPath

#Create shortcut in start menu
Write-Host "Create StartMenu ShortCurt..."
$programs = [environment]::GetFolderPath([environment+specialfolder]::Programs)
$programs = Join-Path $programs "$title.lnk"
Write-Host $programs
Install-ChocolateyShortcut -shortcutFilePath $programs `
                           -targetPath "$installPath/$exeName" `
                           -workingDirectory $installPath